Get Worker Syncs
curl --request GET \
--url https://api.jtl-cloud.com/erp/workers \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/workers"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/workers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"Identifier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"SyncName": "<string>",
"SalesChannelName": "<string>",
"SalesChannelId": "<string>",
"ReportProgress": true,
"Configurations": [
{
"Identifier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"DisplayName": "<string>",
"DisplayDescription": "<string>",
"Type": "<string>",
"CurrentValue": "<string>",
"IsRequired": true
}
],
"Interval": "<string>"
}
]{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Worker
Get Worker Syncs
deprecated
Returns the Available Syncs of the Worker
GET
/
workers
Get Worker Syncs
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Response
The TaxRate for the given Item.
The Unique Identifier of a Sync
the Name of the Sync
The Name of the Sales Channel
The SalesChannel for the Sync
The Sync can Report Progress in Percent
The Configurations
Show child attributes
Show child attributes
The Sync Interval
Was this page helpful?
⌘I